import { OnInit } from '@angular/core';
import { ActionModel, BackgroundModel, LayOutModel, PositionLayoutModal } from '../../styles/style.model';
import BaseSection from '../BaseSection';
import { EventsService } from './../../services/events.service';
import { LogoShowcaseContentModel, LogoShowcaseSection, LogoShowcaseStylesModel } from './logo-showcase.modal';
import { logoDirection, logoSpeed } from '../../styles/index';
import * as i0 from "@angular/core";
export declare class LogoShowcaseComponent extends BaseSection implements OnInit {
    private _eventService;
    data?: LogoShowcaseSection;
    index?: number;
    edit?: boolean;
    delete?: boolean;
    customClass?: string;
    nextComponentColor?: BackgroundModel;
    id: string;
    action: ActionModel;
    content?: LogoShowcaseContentModel;
    styles?: LogoShowcaseStylesModel;
    logoSpeedClass: string;
    logoDirectionClass: string;
    isFullWidth: boolean;
    constructor(_eventService: EventsService);
    ngOnInit(): void;
    get stylesLayout(): LayOutModel;
    get animationDuration(): "3s" | "4s" | logoSpeed.Normal | "18s" | "6s" | "5s";
    get animationDirection(): logoDirection.Left | "reverse" | "normal";
    get isMobile(): boolean;
    get getPositionLayout(): PositionLayoutModal;
    screenWidth: number;
    getScreenSize(event?: number): void;
    editSection(): void;
    getIconBackground(icon: any): any;
    getAlignment(): "justify-items-start" | "justify-items-end" | "justify-items-center";
    static ɵfac: i0.ɵɵFactoryDeclaration<LogoShowcaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LogoShowcaseComponent, "simpo-logo-showcase", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; }, {}, never, never, true, never>;
}
